KD SOAP API Documentation: KDSoapNamespacePrefixes Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapNamespacePrefixes Class Reference

`#include <KDSoapNamespacePrefixes_p.h>`

Inheritance diagram for KDSoapNamespacePrefixes:
[legend]
Collaboration diagram for KDSoapNamespacePrefixes:
[legend]

## Public Member Functions
QString | resolve (const QString &ns, const QString &localName) const
void | writeNamespace (QXmlStreamWriter &writer, const QString &ns, const QString &prefix)
void | writeStandardNamespaces (QXmlStreamWriter &writer, KDSoap::SoapVersion version=KDSoap::SOAP1_1, bool messageAddressingEnabled=false, KDSoapMessageAddressingProperties::KDSoapAddressingNamespace messageAddressingNamespace=KDSoapMessageAddressingProperties::Addressing200508)
Public Member Functions inherited from QMap< QString, QString >
| QMap ()
| QMap (const QMap< Key, T > &other)
| QMap (const typename std::map< Key, T > &other)
| QMap (QMap< Key, T > &&other)
| QMap (std::initializer_list< std::pair< Key, T > > list)
| ~QMap ()
QMap::iterator | begin ()
QMap::const_iterator | begin () const const
QMap::const_iterator | cbegin () const const
QMap::const_iterator | cend () const const
void | clear ()
QMap::const_iterator | constBegin () const const
QMap::const_iterator | constEnd () const const
QMap::const_iterator | constFind (const Key &key) const const
QMap::const_key_value_iterator | constKeyValueBegin () const const
QMap::const_key_value_iterator | constKeyValueEnd () const const
bool | contains (const Key &key) const const
int | count () const const
int | count (const Key &key) const const
bool | empty () const const
QMap::iterator | end ()
QMap::const_iterator | end () const const
QPair< QMap::iterator, QMap::iterator > | equal_range (const Key &key)
QPair< QMap::const_iterator, QMap::const_iterator > | equal_range (const Key &key) const const
QMap::iterator | erase (QMap::iterator pos)
QMap::iterator | find (const Key &key)
QMap::const_iterator | find (const Key &key) const const
T & | first ()
const T & | first () const const
const Key & | firstKey () const const
QMap::iterator | insert (const Key &key, const T &value)
void | insert (const QMap< Key, T > &map)
QMap::iterator | insert (QMap::const_iterator pos, const Key &key, const T &value)
QMap::iterator | insertMulti (const Key &key, const T &value)
QMap::iterator | insertMulti (QMap::const_iterator pos, const Key &key, const T &value)
bool | isEmpty () const const
const Key | key (const T &value, const Key &defaultKey) const const
QMap::key_iterator | keyBegin () const const
QMap::key_iterator | keyEnd () const const
QList< Key > | keys () const const
QList< Key > | keys (const T &value) const const
QMap::key_value_iterator | keyValueBegin ()
QMap::const_key_value_iterator | keyValueBegin () const const
QMap::key_value_iterator | keyValueEnd ()
QMap::const_key_value_iterator | keyValueEnd () const const
T & | last ()
const T & | last () const const
const Key & | lastKey () const const
QMap::iterator | lowerBound (const Key &key)
QMap::const_iterator | lowerBound (const Key &key) const const
bool | operator!= (const QMap< Key, T > &other) const const
QDataStream & | operator<< (QDataStream &out, const QMap< Key, T > &map)
QMap< Key, T > & | operator= (const QMap< Key, T > &other)
QMap< Key, T > & | operator= (QMap< Key, T > &&other)
bool | operator== (const QMap< Key, T > &other) const const
QDataStream & | operator>> (QDataStream &in, QMap< Key, T > &map)
T & | operator[] (const Key &key)
const T | operator[] (const Key &key) const const
int | remove (const Key &key)
int | size () const const
void | swap (QMap< Key, T > &other)
T | take (const Key &key)
std::map< Key, T > | toStdMap () const const
QList< Key > | uniqueKeys () const const
QMap< Key, T > & | unite (const QMap< Key, T > &other)
QMap::iterator | upperBound (const Key &key)
QMap::const_iterator | upperBound (const Key &key) const const
const T | value (const Key &key, const T &defaultValue) const const
QList< T > | values () const const
QList< T > | values (const Key &key) const const

## Additional Inherited Members
Public Attributes inherited from QMap< QString, QString >
typedef | const_key_value_iterator
typedef | ConstIterator
typedef | difference_type
typedef | Iterator
typedef | key_type
typedef | key_value_iterator
typedef | mapped_type
typedef | size_type

## Detailed Description

Definition at line 19 of file KDSoapNamespacePrefixes_p.h.

## Member Function Documentation

## ◆ resolve()

QString KDSoapNamespacePrefixes::resolve | ( | const QString & | ns,
|  | const QString & | localName
| ) |  | const
| inline

Definition at line 32 of file KDSoapNamespacePrefixes_p.h.

References QString::isEmpty(), and QMap< QString, QString >::value().

## ◆ writeNamespace()

void KDSoapNamespacePrefixes::writeNamespace | ( | QXmlStreamWriter & | writer,
|  | const QString & | ns,
|  | const QString & | prefix
| ) |  |
| inline

Definition at line 26 of file KDSoapNamespacePrefixes_p.h.

References QMap< QString, QString >::insert(), and QXmlStreamWriter::writeNamespace().

Referenced by KDSoapMessageWriter::messageToXml(), and writeStandardNamespaces().

## ◆ writeStandardNamespaces()

void KDSoapNamespacePrefixes::writeStandardNamespaces | ( | QXmlStreamWriter & | writer,
|  | KDSoap::SoapVersion | version = `KDSoap::SOAP1_1`,
|  | bool | messageAddressingEnabled = `false`,
|  | KDSoapMessageAddressingProperties::KDSoapAddressingNamespace | messageAddressingNamespace = `KDSoapMessageAddressingProperties::Addressing200508`
| ) |  |

Definition at line 14 of file KDSoapNamespacePrefixes.cpp.

References KDSoapMessageAddressingProperties::addressingNamespaceToString(), QString::fromLatin1(), QMap< QString, QString >::insert(), KDSoap::SOAP1_1, KDSoap::SOAP1_2, KDSoapNamespaceManager::soapEncoding(), KDSoapNamespaceManager::soapEncoding200305(), KDSoapNamespaceManager::soapEnvelope(), KDSoapNamespaceManager::soapEnvelope200305(), writeNamespace(), KDSoapNamespaceManager::xmlSchema1999(), KDSoapNamespaceManager::xmlSchema2001(), KDSoapNamespaceManager::xmlSchemaInstance1999(), and KDSoapNamespaceManager::xmlSchemaInstance2001().

Referenced by KDSoapMessageWriter::messageToXml(), and KDSoapValue::toXml().

The documentation for this class was generated from the following files:

- KDSoapNamespacePrefixes_p.h
- KDSoapNamespacePrefixes.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8